<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8"/>
        <title>1. Edición digital como edición «desde cero»</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css"/>
    </head>
    <body>
        <section epub:type="chapter" role="doc-chapter">
            <h1 id="edicion-digital-como-edicion-desde-cero">1. Edición <span class="i-item-span" id="i-item-id-1-51-2">digital</span> como <span class="i-item-span" id="i-item-id-1-0-1">edición</span> «desde cero»</h1>
            <p>Por iniciativa de <span class="i-item-span" id="i-item-id-1-20-3">Mariana</span> Eguaras estaremos publicando una serie de entradas dedicadas a la <strong><span class="i-item-span" id="i-item-id-1-7-4">publicación</span> <span class="i-item-span" id="i-item-id-1-51-5">digital</span></strong>, sus <strong>características, ventajas y retos</strong>, así como <strong>su relación con los medios <span class="i-item-span" id="i-item-id-1-38-6">impresos</span></strong> y cómo estas cuestiones afectan directamente a los <span class="i-item-span" id="i-item-id-1-32-8">procesos</span> necesarios para producir cualquier <span class="i-item-span" id="i-item-id-1-7-7">publicación</span>.</p>
            <p>Si bien ya tenemos planeadas el contenido de las primeras entradas, cualquier sugerencia sobre temas a tratar será bienvenida. En la medida de lo posible, la <span class="i-item-span" id="i-item-id-1-42-10">redacción</span> no será <span class="i-item-span" id="i-item-id-1-72-11">técnica</span>, sino afín al público en general o a quienes se dedican a la <span class="i-item-span" id="i-item-id-1-0-9">edición</span>.</p>
            <p>Sin embargo, también se tiene que tomar en cuenta que algunos tecnicismos ya son imprescindibles para el medio <span class="i-item-span" id="i-item-id-1-6-12">editorial</span>. Así como la jerga de los tipógrafos, impresores o diseñadores es de habitual <span class="i-item-span" id="i-item-id-1-52-13">conocimiento</span> para quienes editamos, del mismo modo el lenguaje del desarrollador <i><span class="i-item-span" id="i-item-id-1-60-14">web</span></i> o de <i><span class="i-item-span" id="i-item-id-1-4-15">software</span></i> empieza a formar parte de nuestro bagaje cultural.</p>
            <p>En esta primera entrada haremos una <strong>comparación general entre algunos de los <span class="i-item-span" id="i-item-id-1-28-18">métodos</span> más comunes para producir un <span class="i-item-span" id="i-item-id-1-5-16"><span class="i-item-span" id="i-item-id-1-67-19">libro</span> electrónico</span> estándar en <span class="i-item-span" id="i-item-id-1-8-17">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-20">EPUB</span></span></strong>. En su momento se hablará con más detalle sobre la <span class="i-item-span" id="i-item-id-1-48-21">historia</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-22">EPUB</span></span>.</p>
            <p>Lo que ahora nos interesa es que, entre los distintos tipos de <span class="i-item-span" id="i-item-id-1-8-24">formatos</span> existentes en el mercado del <span class="i-item-span" id="i-item-id-1-5-23"><span class="i-item-span" id="i-item-id-1-67-25">libro</span> electrónico</span>, el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-26">EPUB</span></span>, desde sus inicios, fue pensado como un tipo de archivo para <i>ebooks</i> que sobresale por su <strong>versatilidad, ligereza y seguimiento de estándares <i><span class="i-item-span" id="i-item-id-1-60-27">web</span></i></strong> que aseguran una <span class="i-item-span" id="i-item-id-1-91-29">uniformidad</span> en el <span class="i-item-span" id="i-item-id-1-23-28">código</span>, y también un <strong>completo control sobre la <span class="i-item-span" id="i-item-id-1-0-30">edición</span></strong>.</p>
            <p>Al tener estas características, el <span class="i-item-span" id="i-item-id-1-8-31">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-32">EPUB</span></span> es fácilmente convertible a <span class="i-item-span" id="i-item-id-1-8-34">formatos</span> <span class="i-item-span" id="i-item-id-1-130-38">privativos</span> como los empleados por <span class="i-item-span" id="i-item-id-1-76-36">Amazon</span> o <span class="i-item-span" id="i-item-id-1-112-37">Apple</span>, asegurando así un ahorro de recursos y de tiempo al momento de crear una <span class="i-item-span" id="i-item-id-1-7-33">publicación</span> <span class="i-item-span" id="i-item-id-1-51-35">digital</span>.</p>
            <p>Esta flexibilidad también ha permitido el <span class="i-item-span" id="i-item-id-1-12-39">desarrollo</span> de diversos <span class="i-item-span" id="i-item-id-1-44-41">programas</span> de cómputo que facilitan la <span class="i-item-span" id="i-item-id-1-15-40">creación</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-42">EPUB</span></span> a cualquier persona. Con un par de clics desde el procesador de <span class="i-item-span" id="i-item-id-1-16-43">textos</span> (Writer o <span class="i-item-span" id="i-item-id-1-127-45">Word</span>) o <span class="i-item-span" id="i-item-id-1-77-44">maquetador</span> (InDesign) instantáneamente tenemos un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-46">EPUB</span></span> a través de una conversión de <span class="i-item-span" id="i-item-id-1-8-47">formatos</span>.</p>
            <p>En principio, esto es una gran ventaja para <span class="i-item-span" id="i-item-id-1-3-48">autores</span> independientes o para <span class="i-item-span" id="i-item-id-1-6-50">editoriales</span> que no desean invertir «esfuerzos adicionales» en la <span class="i-item-span" id="i-item-id-1-14-51">producción</span> de un <span class="i-item-span" id="i-item-id-1-5-49"><span class="i-item-span" id="i-item-id-1-67-52">libro</span> electrónico</span>. Sin embargo, existen al menos <strong>dos desventajas</strong> en estos <span class="i-item-span" id="i-item-id-1-32-54">procesos</span> de <span class="i-item-span" id="i-item-id-1-7-53">publicación</span>:</p>
            <ol>
                <li>
                    <p>La limpieza del <span class="i-item-span" id="i-item-id-1-23-56">código</span>, el control del <span class="i-item-span" id="i-item-id-1-29-57">diseño</span> y la calidad de la <span class="i-item-span" id="i-item-id-1-0-55">edición</span> en muchas ocasiones son inferiores a lo que es posible obtener a través de otros <span class="i-item-span" id="i-item-id-1-32-58">procesos</span>.</p>
                </li>
                <li>
                    <p>Se pierde por completo de vista que lo más importante de la revolución <span class="i-item-span" id="i-item-id-1-51-66">digital</span> dentro del mundo de la <span class="i-item-span" id="i-item-id-1-0-59">edición</span> no es el <span class="i-item-span" id="i-item-id-1-5-61"><span class="i-item-span" id="i-item-id-1-67-68">libro</span> electrónico</span>, sino los <span class="i-item-span" id="i-item-id-1-32-64">procesos</span> que ahora son posibles y que no representan algo «extra» al momento de producir un <span class="i-item-span" id="i-item-id-1-5-62">libro</span>, sea <span class="i-item-span" id="i-item-id-1-38-65">impreso</span> o <span class="i-item-span" id="i-item-id-1-51-67">digital</span>. En su lugar, se trata de un conjunto orgánico de elementos que pueden ayudar tanto en el ámbito <span class="i-item-span" id="i-item-id-1-72-69">técnico</span> de la <span class="i-item-span" id="i-item-id-1-7-63">publicación</span> como en la calidad de la <span class="i-item-span" id="i-item-id-1-0-60">edición</span>.</p>
                </li>
            </ol>
            <p>El <span class="i-item-span" id="i-item-id-1-5-71"><span class="i-item-span" id="i-item-id-1-67-73">libro</span> electrónico</span> es el punto de relieve más característico de la era <span class="i-item-span" id="i-item-id-1-51-72">digital</span> en la <span class="i-item-span" id="i-item-id-1-0-70">edición</span>, pero es solo la punta del <i>iceberg</i>. Para poder ir paulatinamente más a fondo tenemos que empezar a familiarizarnos con <strong>lo que está detrás de la <span class="i-item-span" id="i-item-id-1-14-74">producción</span> de un <i><span class="i-item-span" id="i-item-id-1-73-75">ebook</span></i></strong>.</p>
            <p>Como primera cuestión, existe cierto escepticismo sobre la necesidad de producir una <span class="i-item-span" id="i-item-id-1-7-76">publicación</span> «desde cero». Es decir, se tiende a preferir el uso de conversores que, sin importar la <span class="i-item-span" id="i-item-id-1-17-78">estructura</span> o el contenido de la <span class="i-item-span" id="i-item-id-1-7-77">publicación</span>, automáticamente crean un archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-79">EPUB</span></span>.</p>
            <p>¿Para qué aprender lenguajes de etiquetado, como <a href="https://es.wikipedia.org/wiki/HTML"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-80">HTML</span></span></a> o <a href="https://es.wikipedia.org/wiki/Markdown"><span class="i-item-span" id="i-item-id-1-45-81">Markdown</span></a>? ¿Para qué preocuparnos por las hojas de estilo, como <a href="https://es.wikipedia.org/wiki/Hoja_de_estilos_en_cascada"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-82">CSS</span></span></a> o <a href="https://es.wikipedia.org/wiki/Sass_(lenguaje_de_hojas_de_estilo)"><span class="smallcap">SCSS</span></a>? ¿Para qué reflexionar sobre el potencial de los lenguajes de programación para generar otras <span class="i-item-span" id="i-item-id-1-62-84">experiencias</span> de lectura o para mejorar el cuidado de la <span class="i-item-span" id="i-item-id-1-0-83">edición</span>, como <a href="https://es.wikipedia.org/wiki/JavaScript">JavaScript</a>, <a href="https://es.wikipedia.org/wiki/Python">Python</a>, <a href="https://es.wikipedia.org/wiki/Ruby">Ruby</a> o <a href="https://es.wikipedia.org/wiki/C++">C++</a>?</p>
            <p>Porque aunque el objetivo sea un objeto físico o <span class="i-item-span" id="i-item-id-1-51-87">digital</span>, si empezamos a enfocarnos en su <span class="i-item-span" id="i-item-id-1-32-86">proceso</span> de <span class="i-item-span" id="i-item-id-1-14-85">producción</span>, poco a poco nos daremos cuenta de su pertinencia.</p>
            <h2 id="caracteristicas-del-ejercicio-de-comparacion">Características del ejercicio de comparación</h2>
            <p>Para mostrar las ventajas y desventajas que presentan los conversores de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-88">EPUB</span></span>, en contraste con el <span class="i-item-span" id="i-item-id-1-12-91">desarrollo</span> de una <span class="i-item-span" id="i-item-id-1-7-90">publicación</span> <span class="i-item-span" id="i-item-id-1-51-94">digital</span> «desde cero», se hará una comparación en la <span class="i-item-span" id="i-item-id-1-14-92">producción</span> de una misma <span class="i-item-span" id="i-item-id-1-2-89">obra</span>, pero con diferentes <span class="i-item-span" id="i-item-id-1-28-93">métodos</span>.</p>
            <p>Con la intención de que este ejercicio sea lo más «real» posible, se optó por tomar <a href="http://www.gutenberg.org/ebooks/2000">la <span class="i-item-span" id="i-item-id-1-0-95">edición</span> del Proyecto <span class="i-item-span" id="i-item-id-1-106-96">Gutenberg</span> del <i>Don Quijote</i></a>. Además, para mantener una <span class="i-item-span" id="i-item-id-1-91-100">uniformidad</span> en la <span class="i-item-span" id="i-item-id-1-0-97">edición</span> se ha partido del mismo <span class="i-item-span" id="i-item-id-1-16-99">texto</span> en <span class="i-item-span" id="i-item-id-1-8-98">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-101">HTML</span></span> y se ha usado la misma hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-102">CSS</span></span>.</p>
            <p>Algunas dudas respecto a estas decisiones pueden ser:</p>
            <ul>
                <li>
                    <p><strong>¿Por qué utilizamos la <span class="i-item-span" id="i-item-id-1-0-103">edición</span> del Proyecto <span class="i-item-span" id="i-item-id-1-106-105">Gutenberg</span> si hay mejores <span class="i-item-span" id="i-item-id-1-0-104">ediciones</span> disponibles en línea como puede ser la publicada por el <a href="http://cvc.cervantes.es/literatura/clasicos/quijote/default.htm">Instituto Cervantes</a>?</strong> La <span class="i-item-span" id="i-item-id-1-0-106">edición</span> usada en este ejercicio es de dominio público, así como, a diferencia de la <span class="i-item-span" id="i-item-id-1-0-107">edición</span> de <a href="https://es.wikisource.org/wiki/El_ingenioso_hidalgo_Don_Quijote_de_la_Mancha">Wikisource</a>, fue sencillo descargar el <span class="i-item-span" id="i-item-id-1-5-108">libro</span> entero en un solo archivo.</p>
                </li>
                <li>
                    <p><strong>¿Por qué se parte de un <span class="i-item-span" id="i-item-id-1-16-109">texto</span> previamente formateado, en lugar de vaciar el <span class="i-item-span" id="i-item-id-1-16-110">texto</span> directamente desde los archivos descargados del Proyecto <span class="i-item-span" id="i-item-id-1-106-111">Gutenberg</span>?</strong> Al momento de hacer esta comparación se detectaron algunos descuidos en la <span class="i-item-span" id="i-item-id-1-0-112">edición</span> que se decidieron enmendar (aunque sin duda se podrán encontrar más, ya que un cuidado estricto no es la meta de este ejercicio). Por otro lado, el <span class="i-item-span" id="i-item-id-1-8-113">formato</span> del <span class="i-item-span" id="i-item-id-1-16-114">texto</span> casi siempre se presenta como pesadilla para quienes editamos, provocando una mayor inversión de tiempo, recursos y esfuerzo únicamente para limpiarlo, cuestión que trataremos en otra entrada.</p>
                </li>
                <li>
                    <p><strong>¿Por qué se emplea la misma hoja de estilo en lugar de recrear el <span class="i-item-span" id="i-item-id-1-29-116">diseño</span> en cada uno de los <span class="i-item-span" id="i-item-id-1-28-115">métodos</span> empleados?</strong> El rediseño también involucra una mayor inversión de tiempo, recursos y esfuerzo, además de que el empleo de la misma hoja de estilo deja patente la pertinencia del <span class="i-item-span" id="i-item-id-1-29-117">diseño</span> <i><span class="i-item-span" id="i-item-id-1-60-118">web</span></i> para el mundo de la <span class="i-item-span" id="i-item-id-1-0-119">edición</span> y la flexibilidad de poder utilizar esta hoja en los diversos <span class="i-item-span" id="i-item-id-1-28-121">métodos</span> empleados (y <span class="i-item-span" id="i-item-id-1-2-120">obras</span>), tema del que hablaremos en una futura entrada.</p>
                </li>
                <li>
                    <p><strong>¿Cuáles son los <span class="i-item-span" id="i-item-id-1-28-122">métodos</span> empleados en este ejercicio?</strong> El <span class="i-item-span" id="i-item-id-1-5-123">libro</span> se desarrolló de cuatro maneras distintas: desde <a href="https://www.adobe.com/products/indesign.html">InDesign</a>, siendo la forma más común para la mayoría de los <span class="i-item-span" id="i-item-id-1-34-125">editores</span> o diseñadores <span class="i-item-span" id="i-item-id-1-6-124">editoriales</span>; con <a href="http://jutoh.com/"><span class="i-item-span" id="i-item-id-1-96-126">Jutoh</span></a>, como ejemplo de <i><span class="i-item-span" id="i-item-id-1-4-127">software</span></i> pensado para facilitar la <span class="i-item-span" id="i-item-id-1-15-129">creación</span> de <span class="i-item-span" id="i-item-id-1-7-128">publicaciones</span> <span class="i-item-span" id="i-item-id-1-51-130">digitales</span>; mediante <a href="https://github.com/Sigil-Ebook/Sigil/releases/tag/0.9.6">Sigil</a>, por ser uno de los <span class="i-item-span" id="i-item-id-1-44-132">programas</span> más utilizados para la <span class="i-item-span" id="i-item-id-1-15-131">creación</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-133">EPUB</span></span>, y «desde cero», lo cual involucra una intervención directa en los archivos necesarios para el <span class="i-item-span" id="i-item-id-1-12-134">desarrollo</span> de un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-135">EPUB</span></span>.</p>
                </li>
            </ul>
            <h2 id="comparativa-de-tiempos-de-produccion-la-eficacia-del-metodo-desde-cero">Comparativa de tiempos de <span class="i-item-span" id="i-item-id-1-14-136">producción</span>: la eficacia del método «desde cero»</h2>
            <p>Uno de los mayores mitos que existe sobre la pertinencia de la <span class="i-item-span" id="i-item-id-1-15-138">creación</span> de <span class="i-item-span" id="i-item-id-1-5-137">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-139">EPUB</span></span> «desde cero» es que este modo de trabajar requiere mayores tiempos de <span class="i-item-span" id="i-item-id-1-14-142">producción</span>. Sin embargo, el <span class="i-item-span" id="i-item-id-1-12-141">desarrollo</span> «desde cero» no quiere decir que todo ha de hacerse de manera manual. Como lo estaremos viendo en otras entradas, mucho del <span class="i-item-span" id="i-item-id-1-10-140">trabajo</span> al momento de desarrollar un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-143">EPUB</span></span> es monótono y fácilmente <span class="i-item-span" id="i-item-id-1-75-145">automatizable</span> a través de la <span class="i-item-span" id="i-item-id-1-15-144">creación</span> de <a href="https://es.wikipedia.org/wiki/Script"><i><span class="i-item-span" id="i-item-id-1-94-146">scripts</span></i></a>.</p>
            <p>Cuando hablamos de la <span class="i-item-span" id="i-item-id-1-15-148">creación</span> de un <span class="i-item-span" id="i-item-id-1-5-147">libro</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-149">EPUB</span></span> «desde cero» nos referimos a que no existe un <i><span class="i-item-span" id="i-item-id-1-4-150">software</span></i> intermediario que nos ayude a llevar a cabo esta tarea más allá de un <a href="https://es.wikipedia.org/wiki/Editor_de_texto"><span class="i-item-span" id="i-item-id-1-34-152">editor</span> de <span class="i-item-span" id="i-item-id-1-16-151">texto</span> plano</a>, o <a href="https://es.wikipedia.org/wiki/Editor_de_c%C3%B3digo_fuente">de <span class="i-item-span" id="i-item-id-1-23-153">código</span></a>, y el uso de <a href="https://es.wikipedia.org/wiki/Interfaz_de_l%C3%ADnea_de_comandos">la línea de comandos</a>.</p>
            <p>En un primer momento esto puede sonar como un <span class="i-item-span" id="i-item-id-1-32-155">proceso</span> demasiado complejo y que requiere mucha inversión de tiempo para aprender a llevarlo a cabo. Pero nada está más lejos de la realidad, si bien el <span class="i-item-span" id="i-item-id-1-12-154">desarrollo</span> «desde cero» tiene sus retos, como cualquier otro método, es una habilidad que está al alcance de cualquiera que cuente con una <span class="i-item-span" id="i-item-id-1-81-156">computadora</span>.</p>
            <p>Si obviamos el tiempo empleado en darle <span class="i-item-span" id="i-item-id-1-8-158">formato</span> al <span class="i-item-span" id="i-item-id-1-16-160">texto</span>, en la siguiente gráfica podemos observar que en el <span class="i-item-span" id="i-item-id-1-12-159">desarrollo</span> de la misma <span class="i-item-span" id="i-item-id-1-2-157">obra</span> y <span class="i-item-span" id="i-item-id-1-29-161">diseño</span> <strong>el método «desde cero» es el más eficaz</strong>. Esta diferencia se debe principalmente al tiempo que debe de emplearse en asociar las <span class="i-item-span" id="i-item-id-1-49-162">etiquetas</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-163">HTML</span></span> a los estilos creados con anterioridad.</p>
            <figure>
                <img src="../img/img_01-01.jpg" alt="Comparativa de tiempos de producción: la eficacia del método «desde cero»."/>
                <figcaption>
                    Comparativa de tiempos de <span class="i-item-span" id="i-item-id-1-14-164">producción</span>: la eficacia del método «desde cero».
                </figcaption>
            </figure>
            <p>Tanto en InDesign como en <span class="i-item-span" id="i-item-id-1-96-165">Jutoh</span> es necesario asociar cada estilo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-166">CSS</span></span> a estilos de párrafo o de caracteres; la diferencia entre ambos estriba en que en InDesign la asociación es más intuitiva y sencilla que en <span class="i-item-span" id="i-item-id-1-96-167">Jutoh</span>. Por el otro lado, con Sigil o «desde cero» no existe la necesidad de asociación, ya que esta se detecta automáticamente al «enlazar» la hoja de estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-168">CSS</span></span> a cada uno de los archivos del contenido del <span class="i-item-span" id="i-item-id-1-5-169">libro</span>; sin embargo, el método «desde cero» presenta la ventaja de que no existe la necesidad de recrear el árbol de directorios o de importar archivos a un <span class="i-item-span" id="i-item-id-1-44-170">programa</span>, como Sigil, para poder crear el archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-171">EPUB</span></span>.</p>
            <h2 id="tamano-del-epub-la-incidencia-de-las-imagenes-y-el-codigo-basura">Tamaño del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-172">EPUB</span></span>: la incidencia de las imágenes y el <span class="i-item-span" id="i-item-id-1-23-173">código</span> «basura»</h2>
            <p>En cuanto al tamaño del archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-174">EPUB</span></span>, existen al menos dos factores que afectan directamente en su peso, que son <strong>1)</strong> las imágenes incrustadas, y <strong>2)</strong> la cantidad de <span class="i-item-span" id="i-item-id-1-23-175">código</span> «basura».</p>
            <p>La mayoría de los <span class="i-item-span" id="i-item-id-1-5-176">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-177">EPUB</span></span> solo presentan una o dos imágenes para la portada o la contraportada, quizá una más si se incluye una fotografía del <span class="i-item-span" id="i-item-id-1-3-178">autor</span>. Aunque se trate de un par de elementos, por lo general estas imágenes tienden a representar los <strong>archivos con mayor peso en un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-179">EPUB</span></span></strong> si existen alguna mezcla de estas circunstancias:</p>
            <ol>
                <li>
                    <p>la <span class="i-item-span" id="i-item-id-1-7-180">publicación</span> es relativamente breve,</p>
                </li>
                <li>
                    <p>las imágenes son más grandes de lo necesario,</p>
                </li>
                <li>
                    <p>las imágenes no tienen una buena compresión, o</p>
                </li>
                <li>
                    <p>las imágenes están en un <span class="i-item-span" id="i-item-id-1-8-181">formato</span> poco pertinente.</p>
                </li>
            </ol>
            <p>Ninguna de estas posibilidades son las que afectan al peso de estos archivos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-182">EPUB</span></span> debido a que todas están utilizando la misma imagen de 204 <span class="smallcap">KB</span>.</p>
            <p><strong>La diferencia de tamaños tiene una relación directa con la cantidad de <span class="i-item-span" id="i-item-id-1-23-183">código</span> «basura»</strong>. Cuando hablamos de la existencia de <span class="i-item-span" id="i-item-id-1-23-184">código</span> «basura» queremos decir que, por los mismos resultados, algunos conversores añaden líneas adicionales de <span class="i-item-span" id="i-item-id-1-23-185">código</span>. Sea para dejar patente el <i><span class="i-item-span" id="i-item-id-1-4-186">software</span></i> que se utilizó para crear el archivo, o porque el método que asocia los estilos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-187">CSS</span></span> con los estilos de párrafo o de caracteres es la recreación del archivo <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-188">CSS</span></span> bajo sus propios lineamientos y convención de nombres.</p>
            <p>Esto produce al menos <strong>dos desventajas</strong>:</p>
            <ol>
                <li>
                    <p>peso adicional e innecesario a la <span class="i-item-span" id="i-item-id-1-7-189">publicación</span>, y</p>
                </li>
                <li>
                    <p>un cambio de nomenclatura que puede dificultar una ulterior modificación del <span class="i-item-span" id="i-item-id-1-29-190">diseño</span>.</p>
                </li>
            </ol>
            <p>En el caso de los <span class="i-item-span" id="i-item-id-1-28-193">métodos</span> con InDesign o <span class="i-item-span" id="i-item-id-1-96-194">Jutoh</span>, el peso del <span class="i-item-span" id="i-item-id-1-5-191">libro</span> se incrementó por el <span class="i-item-span" id="i-item-id-1-23-192">código</span> «basura» existente; no obstante, la diferencia de peso entre los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-195">EPUB</span></span> hechos con Sigil o «desde cero» es de otra índole que involucra la <span class="i-item-span" id="i-item-id-1-17-197">estructura</span> interna del <span class="i-item-span" id="i-item-id-1-5-196">libro</span>.</p>
            <p>Sin extendernos demasiado, a partir de la tercera versión del <span class="i-item-span" id="i-item-id-1-8-198">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-199">EPUB</span></span> existen dos archivos para la tabla de contenidos. El <span class="i-item-span" id="i-item-id-1-8-200">formato</span> antiguo es el <span class="smallcap">NCX</span>, mientras que el <span class="i-item-span" id="i-item-id-1-8-201">formato</span> introducido en la tercera revisión del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-202">EPUB</span></span> es el <a href="https://es.wikipedia.org/wiki/XHTML"><span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-203">XHTML</span></span></a> o <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-204">HTML</span></span>.</p>
            <p>Por defecto, Sigil solo te genera una tabla de contenido en <span class="i-item-span" id="i-item-id-1-8-205">formato</span> <span class="smallcap">NCX</span>. Esto puede ser un potencial problema si consideramos que algunos de los <span class="i-item-span" id="i-item-id-1-61-208">lectores</span> de <span class="i-item-span" id="i-item-id-1-5-206">libros</span> más recientes solo <span class="i-item-span" id="i-item-id-1-83-209">soportan</span> la visualización de tablas de contenidos en <span class="i-item-span" id="i-item-id-1-8-207">formatos</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-210">XHTML</span></span> o <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-211">HTML</span></span>.</p>
            <p>Debido a esta circunstancia, <strong>el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-212">EPUB</span></span> creado «desde cero» contiene</strong> tanto <strong>una tabla de contenidos en <span class="i-item-span" id="i-item-id-1-8-213">formato</span> <span class="smallcap">NCX</span></strong> (para <span class="i-item-span" id="i-item-id-1-61-215">lectores</span> de <span class="i-item-span" id="i-item-id-1-5-214">libros</span> antiguos) <strong>y otra en <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-216">XHTML</span></span></strong>, lo cual representa 11 <span class="smallcap">KB</span> de peso adicional para una diferencia de solo 5 <span class="smallcap">KB</span> entre el <span class="i-item-span" id="i-item-id-1-5-217">libro</span> desarrollado con Sigil y el creado con este método.</p>
            <figure>
                <img src="../img/img_01-02.jpg" alt="Tamaño del EPUB: la incidencia de las imágenes y el código «basura»."/>
                <figcaption>
                    Tamaño del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-218">EPUB</span></span>: la incidencia de las imágenes y el <span class="i-item-span" id="i-item-id-1-23-219">código</span> «basura».
                </figcaption>
            </figure>
            <h2 id="errores-y-advertencias-verificacion-de-los-epub">Errores y advertencias: verificación de los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-220">EPUB</span></span></h2>
            <p>Una de las principales ventajas que acarrea el <span class="i-item-span" id="i-item-id-1-32-222">proceso</span> de producir un <span class="i-item-span" id="i-item-id-1-5-221">libro</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-223">EPUB</span></span> a través de conversores o <i><span class="i-item-span" id="i-item-id-1-4-224">software</span></i> intermediario es que precisamente está pensado para usuarios con poco interés o <span class="i-item-span" id="i-item-id-1-52-225">conocimiento</span> de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-226">HTML</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-227">CSS</span></span>. La <span class="i-item-span" id="i-item-id-1-15-229">creación</span> del <span class="i-item-span" id="i-item-id-1-5-228">libro</span>, por lo general es de manera visual e incluso en algunos casos la curva de aprendizaje es relativamente corta.</p>
            <p>Sin embargo, <strong>además del cuidado <span class="i-item-span" id="i-item-id-1-6-231">editorial</span> y del aspecto estético, un <span class="i-item-span" id="i-item-id-1-5-230"><span class="i-item-span" id="i-item-id-1-67-233">libro</span> electrónico</span> también tiene que tener una <span class="i-item-span" id="i-item-id-1-17-232">estructura</span> interna coherente</strong>. Es decir, si la finalidad es desarrollar un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-234">EPUB</span></span> con calidad «profesional», este no debe de contener errores o advertencias frutos de inconsistencias en el lenguaje de etiquetado o de la hoja de estilos, en los <span class="i-item-span" id="i-item-id-1-30-236">metadatos</span>, en los tipos de <span class="i-item-span" id="i-item-id-1-8-235">formatos</span> aceptados o en la compresión de las imágenes.</p>
            <p>Para que la búsqueda de inconsistencias sea efectiva y no nos demore mucho tiempo, existen los <strong>verificadores de <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-237">EPUB</span></span></strong>. La <span class="i-item-span" id="i-item-id-1-66-238">herramienta</span> oficial para verificar estos archivos se llama Epubcheck, la cual tiene una versión <a href="http://validator.idpf.org/">en línea</a> como otra disponible para <a href="https://github.com/IDPF/epubcheck/releases">su descarga</a>.</p>
            <p>Sin embargo, por lo general un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-239">EPUB</span></span> no solo se verifica mediante Epubcheck, sino con al menos otro <i><span class="i-item-span" id="i-item-id-1-4-240">software</span></i>, sea por requerimiento del cliente, sea simplemente para tener otra <span class="i-item-span" id="i-item-id-1-66-241">herramienta</span> de verificación. En el caso de nuestro ejercicio hemos utilizado tanto Epubcheck como una extensión para <span class="i-item-span" id="i-item-id-1-138-242">Firefox</span> denominada <a href="http://www.bluegriffon-epubedition.com/BGEV.html">BlueGriffon</a> (verificador que varios de nuestros clientes piden utilizar).</p>
            <p>Ahora bien, la gráfica que se muestra solo abarca los errores y advertencias detectados por BlueGriffon ya que ninguno de los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-243">EPUB</span></span> presentó inconsistencias al ser verificados con Epubcheck. También cabe resaltar que la cantidad de errores o advertencias es poca debido a que se emplearon los mismos <span class="i-item-span" id="i-item-id-1-16-245">textos</span> en <span class="i-item-span" id="i-item-id-1-8-244">formato</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-246">XHTML</span></span> y hojas de estilos, así como los <span class="i-item-span" id="i-item-id-1-30-249">metadatos</span> fueron generados automáticamente por cada uno de los <span class="i-item-span" id="i-item-id-1-28-248">métodos</span>. (La <span class="i-item-span" id="i-item-id-1-15-247">creación</span> «desde cero» utilizó <a href="https://github.com/NikaZhenya/Pecas">un <i><span class="i-item-span" id="i-item-id-1-94-250">script</span></i></a> desarrollado inicialmente por el <strong>colectivo <a href="https://github.com/ColectivoPerroTriste"><span class="i-item-span" id="i-item-id-1-64-251">Perro Triste</span></a></strong> y que se ejecuta a través de la línea de comandos).</p>
            <p>El error presente en el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-252">EPUB</span></span> hecho con InDesign indica que este <span class="i-item-span" id="i-item-id-1-44-253">programa</span> utilizó un tipo de compresión no válida para la imagen de la portada, mientras que la advertencia es exactamente la misma a las que detecta en los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-254">EPUB</span></span> creados con <span class="i-item-span" id="i-item-id-1-96-255">Jutoh</span> y Sigil: un elemento presente en los <a href="https://marianaeguaras.com/que-son-los-metadatos-de-un-libro-y-cual-es-su-importancia/"><span class="i-item-span" id="i-item-id-1-30-256">metadatos</span></a> se considera obsoleto.</p>
            <p>En realidad, <strong>resolver estos errores y advertencias no es nada complicado;</strong> no obstante, para un usuario que no está familiarizado con la <span class="i-item-span" id="i-item-id-1-17-257">estructura</span> del <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-258">EPUB</span></span> el <span class="i-item-span" id="i-item-id-1-32-259">proceso</span> para enmendarlos puede ser frustrante. Para arreglar estos <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-260">EPUB</span></span> es necesario su descompresión de manera externa para ir directamente al archivo que presenta el problema, modificarlo y, por último, volver a comprimir el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-261">EPUB</span></span>.</p>
            <figure>
                <img src="../img/img_01-03.jpg" alt="Errores y advertencias: verificación de los EPUB."/>
                <figcaption>
                    Errores y advertencias: verificación de los <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-262">EPUB</span></span>.
                </figcaption>
            </figure>
            <h2 id="costos-implicitos-en-la-produccion-programas-de-pago-versus-software-libre">Costos implícitos en la <span class="i-item-span" id="i-item-id-1-14-263">producción</span>: <span class="i-item-span" id="i-item-id-1-44-264">programas</span> de pago versus <i><span class="i-item-span" id="i-item-id-1-4-265">software</span></i> <span class="i-item-span" id="i-item-id-1-9-266">libre</span></h2>
            <p>Al momento de producir un <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-267">EPUB</span></span>, por lo general el usuario se pregunta si los <span class="i-item-span" id="i-item-id-1-44-271">programas</span> de cómputo necesarios son gratuitos o si tienen algún costo. Afortunadamente, para la <span class="i-item-span" id="i-item-id-1-14-269">producción</span> de un <span class="i-item-span" id="i-item-id-1-5-268"><span class="i-item-span" id="i-item-id-1-67-272">libro</span> electrónico</span> no es necesario pagar por alguna <span class="i-item-span" id="i-item-id-1-21-270">licencia</span> de <i><span class="i-item-span" id="i-item-id-1-4-273">software</span></i>.</p>
            <p>En la mitad de los cuatro <span class="i-item-span" id="i-item-id-1-28-274">métodos</span> vistos en este ejercicio se empleó <i><span class="i-item-span" id="i-item-id-1-4-275">software</span></i> <span class="i-item-span" id="i-item-id-1-130-278">privativo</span> que implica costos para su uso. Tanto InDesign como <span class="i-item-span" id="i-item-id-1-96-277">Jutoh</span> requieren el pago de una <span class="i-item-span" id="i-item-id-1-21-276">licencia</span>, mientras que Sigil es <i><span class="i-item-span" id="i-item-id-1-4-279">software</span></i> <span class="i-item-span" id="i-item-id-1-9-280">libre</span>. Para el método «desde cero» se emplearon <span class="i-item-span" id="i-item-id-1-44-281">programas</span> de <i><span class="i-item-span" id="i-item-id-1-4-282">software</span></i> <span class="i-item-span" id="i-item-id-1-9-283">libre</span> (<a href="https://atom.io/">Atom</a>, <span class="i-item-span" id="i-item-id-1-138-284">Firefox</span> y el <i><span class="i-item-span" id="i-item-id-1-94-285">script</span></i> desarrollado por <span class="i-item-span" id="i-item-id-1-64-286">Perro Triste</span>) y del sistema (<a href="https://es.wikipedia.org/wiki/Emulador_de_terminal">la terminal</a>).</p>
            <p>Un mito recurrente entre los usuarios que no están familiarizados con el uso de <i><span class="i-item-span" id="i-item-id-1-4-287">software</span></i> <span class="i-item-span" id="i-item-id-1-9-289">libre</span> o de <span class="i-item-span" id="i-item-id-1-23-292">código</span> <span class="i-item-span" id="i-item-id-1-19-291">abierto</span> es que su gratuidad es sinónimo de baja calidad. La falsedad de este supuesto —al menos en lo que concierne a la <span class="i-item-span" id="i-item-id-1-14-290">producción</span> de <span class="i-item-span" id="i-item-id-1-5-288">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-293">EPUB</span></span>— pudo observarse en este ejercicio: <strong>Sigil y el método «desde cero» arrojaron mejores resultados</strong>.</p>
            <p>No obstante, tampoco puede dejarse de lado que la gran mayoría de las <span class="i-item-span" id="i-item-id-1-6-297">editoriales</span> emplean InDesign para la <span class="i-item-span" id="i-item-id-1-0-294">edición</span> de sus <span class="i-item-span" id="i-item-id-1-5-295">libros</span> <span class="i-item-span" id="i-item-id-1-38-298">impresos</span>, por lo que en determinadas circunstancias lo más conveniente quizá sea irse por esta misma vía para desarrollar <span class="i-item-span" id="i-item-id-1-5-296"><span class="i-item-span" id="i-item-id-1-67-299">libros</span> electrónicos</span>.</p>
            <p>Si esta no es tu situación y, al mismo tiempo, deseas mejorar la calidad de tus <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-300">EPUB</span></span>, por lo que estás considerando hacer una inversión en <i><span class="i-item-span" id="i-item-id-1-4-301">software</span></i> <span class="i-item-span" id="i-item-id-1-130-303">privativo</span>, mejor piénsalo dos veces. Existen otras posibilidades <span class="i-item-span" id="i-item-id-1-9-302">libres</span> y de alta calidad que pueden acomodarse a tus necesidades.</p>
            <h2 id="conclusion-el-metodo-desde-cero-gana-esta-partida">Conclusión: el método «desde cero» gana esta partida</h2>
            <p>A lo largo de este ejercicio quedó evidenciado que uno de los <span class="i-item-span" id="i-item-id-1-28-306">métodos</span> más eficaces y eficientes para la <span class="i-item-span" id="i-item-id-1-14-305">producción</span> de <span class="i-item-span" id="i-item-id-1-5-304"><span class="i-item-span" id="i-item-id-1-67-307">libros</span> electrónicos</span> estándar es el <strong><span class="i-item-span" id="i-item-id-1-12-308">desarrollo</span> «desde cero»</strong>. Varios <span class="i-item-span" id="i-item-id-1-61-311">lectores</span> podrán pensar que este modo de <span class="i-item-span" id="i-item-id-1-14-309">producción</span> implica ciertos <span class="i-item-span" id="i-item-id-1-52-310">conocimientos</span> <span class="i-item-span" id="i-item-id-1-72-312">técnicos</span> complejos y una mediana o larga curva de aprendizaje.</p>
            <p>Como <span class="i-item-span" id="i-item-id-1-62-313">experiencia</span>, puedo compartirles que a las personas que, por medio de <span class="i-item-span" id="i-item-id-1-69-315">Nieve de Chamoy</span> o <span class="i-item-span" id="i-item-id-1-64-314">Perro Triste</span>, les hemos ayudado a aprender a hacer <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-316">EPUB</span></span>, no les ha tomado más de 24 horas de taller el <span class="i-item-span" id="i-item-id-1-12-318">desarrollo</span> de su primer <span class="i-item-span" id="i-item-id-1-5-317"><span class="i-item-span" id="i-item-id-1-67-319">libro</span> electrónico</span> «desde cero». Además, cabe la pena resaltar que la mayoría de estas personas provienen de un contexto de completo desconocimiento de los lenguajes <span class="smallcap"><span class="i-item-span" id="i-item-id-1-24-320">HTML</span></span> y <span class="smallcap"><span class="i-item-span" id="i-item-id-1-35-321">CSS</span></span>, así como del uso de la línea de comandos.</p>
            <p>Sin embargo, como tampoco se trata de reducir las posibilidades de <span class="i-item-span" id="i-item-id-1-14-322">producción</span> a este único método, <strong>en futuras entradas veremos cómo elaborar <span class="i-item-span" id="i-item-id-1-5-323">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-324">EPUB</span></span> desde InDesign, Sigil y el <span class="i-item-span" id="i-item-id-1-12-325">desarrollo</span> «desde cero»</strong>. No trataremos el método desde otros <span class="i-item-span" id="i-item-id-1-44-326">programas</span> (como <span class="i-item-span" id="i-item-id-1-96-327">Jutoh</span> o <span class="i-item-span" id="i-item-id-1-105-328">iBooks</span> Author) porque no lo considero conveniente.</p>
            <p>Si se tiene planeado el uso de <i><span class="i-item-span" id="i-item-id-1-4-329">software</span></i> exclusivamente para crear <span class="i-item-span" id="i-item-id-1-5-330"><span class="i-item-span" id="i-item-id-1-67-331">libros</span> electrónicos</span>, la recomendación es que sea <i><span class="i-item-span" id="i-item-id-1-4-332">software</span></i> <span class="i-item-span" id="i-item-id-1-9-334">libre</span> o de <span class="i-item-span" id="i-item-id-1-23-337">código</span> <span class="i-item-span" id="i-item-id-1-19-336">abierto</span>, para que no involucre costos de <span class="i-item-span" id="i-item-id-1-14-335">producción</span> extra, y cuyos <span class="i-item-span" id="i-item-id-1-8-333">formatos</span> de salida sean estandarizados, como el <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-338">EPUB</span></span> (el cual sin problemas puede convertirse a <span class="i-item-span" id="i-item-id-1-8-339">formatos</span> <span class="i-item-span" id="i-item-id-1-130-342">privativos</span> como los usados por <span class="i-item-span" id="i-item-id-1-76-340">Amazon</span> y <span class="i-item-span" id="i-item-id-1-112-341">Apple</span>); por ello, <strong>la recomendación bajo estas necesidades es Sigil</strong>.</p>
            <p>Por otro lado, para no obviar la tendencia <span class="i-item-span" id="i-item-id-1-6-343">editorial</span> de <strong>producir <span class="i-item-span" id="i-item-id-1-5-344">libros</span> con InDesign</strong>, también se verá <strong>la manera más óptima de desarrollar <span class="i-item-span" id="i-item-id-1-5-345">libros</span> <span class="smallcap"><span class="i-item-span" id="i-item-id-1-1-346">EPUB</span></span> con este <span class="i-item-span" id="i-item-id-1-44-347">programa</span></strong>. Pero antes de esto, el siguiente tema a tratar será sobre un problema rutinario en el quehacer <span class="i-item-span" id="i-item-id-1-6-349">editorial</span> y que, aunque parezca mínimo, representa uno de los <span class="i-item-span" id="i-item-id-1-125-352">cuellos de botella</span> al momento de producir <span class="i-item-span" id="i-item-id-1-5-348">libros</span>, sean <span class="i-item-span" id="i-item-id-1-38-350">impresos</span> o <span class="i-item-span" id="i-item-id-1-51-351">digitales</span>; es decir, hablaremos sobre <strong>la manera más adecuada de dar <span class="i-item-span" id="i-item-id-1-8-353">formato</span> a un <span class="i-item-span" id="i-item-id-1-16-354">texto</span></strong>.</p>
            <aside class="espacio-arriba2">
                <h6 id="sobre-esta-entrada">Sobre esta entrada</h6>
                <ul>
                    <li>
                        <p>Título original: «Edición <span class="i-item-span" id="i-item-id-1-51-356">digital</span> como <span class="i-item-span" id="i-item-id-1-0-355">edición</span> “desde cero”».</p>
                    </li>
                    <li>
                        <p>Título en el <i>blog</i> de <span class="i-item-span" id="i-item-id-1-20-358">Mariana</span>: «Edición <span class="i-item-span" id="i-item-id-1-51-359">digital</span> como <span class="i-item-span" id="i-item-id-1-0-357">edición</span> “desde cero”».</p>
                    </li>
                    <li>
                        <p>Fecha de <span class="i-item-span" id="i-item-id-1-7-360">publicación</span>: 6 de septiembre del 2016.</p>
                    </li>
                    <li>
                        <p><a href="https://gitlab.com/NikaZhenya/entradas-eguaras/blob/master/01%20-%20Edici%C3%B3n%20digital%20como%20edici%C3%B3n%20desde%20cero/entrada.odt">Redacción original</a>.</p>
                    </li>
                    <li>
                        <p><a href="https://marianaeguaras.com/edicion-digital-como-edicion-desde-cero/">Revisión de <span class="i-item-span" id="i-item-id-1-20-361">Mariana</span></a>.</p>
                    </li>
                </ul>
            </aside>
        </section>
    </body>
</html>
